OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph::thds::worker_thread_base Class Referenceabstract

A base object for queuing tasks in the thread_pool. More...

`#include <ojph_threads.h>`

Inheritance diagram for ojph::thds::worker_thread_base:

## Public Member Functions
virtual | ~worker_thread_base ()
| virtual construction is a necessity to deconstruct derived objects.
virtual void | execute ()=0
| Derived functions must define this function to execute its work.

## Detailed Description

A base object for queuing tasks in the thread_pool.

Tasks run in the thread_pool must derive from this function and define "execute". Derived objects can include their own member variables.

Definition at line 68 of file ojph_threads.h.

## Constructor & Destructor Documentation

## ◆ ~worker_thread_base()

virtual ojph::thds::worker_thread_base::~worker_thread_base | ( |  | ) |
| inline virtual

virtual construction is a necessity to deconstruct derived objects.

Definition at line 75 of file ojph_threads.h.

## Member Function Documentation

## ◆ execute()

virtual void ojph::thds::worker_thread_base::execute | ( |  | ) |
| pure virtual

Derived functions must define this function to execute its work.

Implemented in ojph::stex::j2k_frame_storer.

Referenced by ojph::thds::thread_pool::start_thread().

The documentation for this class was generated from the following file:

- /build/openjph/src/OpenJPH/src/apps/common/ojph_threads.h